Subject: Re: bug#440: Build error on Solaris

From: Stefan Monnier <[email-masked]>
Date: Fri, 20 Jun 2008 11:07:39 -0400

> Solaris does not have the functions cfmakeraw() and cfsetspeed() which are
> used in src/sysdep.c. I added these functions into sysdep.c but I'm not
> sure these must be necessary.

A similar problem appeared under Cygwin.  I've installed a change
(provided by Angelo Graziosi) which should hopefully fix the problem,
but it's slightly different from your code (mostly your cfmakeraw sets
things up a bit differently, e.g. your code sets IGNBRK on iflag,
whereas the code I installed clears it).  Can you try the new code to
see if it now builds right, and could you also tell me where you got
your cfmakeraw code, to try and understand the reason for
the differences?

        Stefan